> ## Documentation Index
> Fetch the complete documentation index at: https://docs.meetchase.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Contact Status

> This endpoint fetches exchange data, which represents a conversation between a bot and a contact. It can be filtered by campaign, a date range, and the type of exchange (e.g., positive replies vs. meetings booked).

### Query Parameters

- **campaign_id** (`int`, optional): The ID of a specific campaign to filter by. If omitted, exchanges from all campaigns are returned.
- **start_date** (`str`, optional): The start of the date range for filtering exchanges, in `YYYY-MM-DD` format. **Defaults to `2023-01-01`**.
- **end_date** (`str`, optional): The end of the date range for filtering exchanges, in `YYYY-MM-DD` format. **Defaults to the current date**.
- **exchange_group** (`str`, optional): The category of exchanges to retrieve. **Defaults to `"replied"`**. Possible values: `"replied"`, `"meeting-booked"`.

### Headers

- **X-API-Key**: The API key for authenticating the request.

### Response

Returns a JSON array of `BaseExchange` objects.



## OpenAPI

````yaml GET /api/v1/campaigns/data/replies
openapi: 3.1.0
info:
  title: ChaseLabs API
  version: 0.1.0
servers:
  - url: https://services.meetchase.ai
security: []
paths:
  /api/v1/campaigns/data/replies:
    get:
      tags:
        - Public API Routes
        - Campaign Data Routes
      summary: Get Grouped Exchanges Api
      description: >-
        This endpoint fetches exchange data, which represents a conversation
        between a bot and a contact. It can be filtered by campaign, a date
        range, and the type of exchange (e.g., positive replies vs. meetings
        booked).


        ### Query Parameters


        - **campaign_id** (`int`, optional): The ID of a specific campaign to
        filter by. If omitted, exchanges from all campaigns are returned.

        - **start_date** (`str`, optional): The start of the date range for
        filtering exchanges, in `YYYY-MM-DD` format. **Defaults to
        `2023-01-01`**.

        - **end_date** (`str`, optional): The end of the date range for
        filtering exchanges, in `YYYY-MM-DD` format. **Defaults to the current
        date**.

        - **exchange_group** (`str`, optional): The category of exchanges to
        retrieve. **Defaults to `"replied"`**. Possible values: `"replied"`,
        `"meeting-booked"`.


        ### Headers


        - **X-API-Key**: The API key for authenticating the request.


        ### Response


        Returns a JSON array of `BaseExchange` objects.
      operationId: get_grouped_exchanges_api_api_v1_campaigns_data_replies_get
      parameters:
        - name: campaign_id
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Campaign Id
        - name: start_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: Start Date
        - name: end_date
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            title: End Date
        - name: exchange_group
          in: query
          required: false
          schema:
            enum:
              - replied
              - meeting-booked
            type: string
            default: replied
            title: Exchange Group
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/BaseExchange'
                title: >-
                  Response Get Grouped Exchanges Api Api V1 Campaigns Data
                  Replies Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - API Key: []
components:
  schemas:
    BaseExchange:
      properties:
        id:
          type: integer
          title: Id
        campaign_id:
          type: integer
          title: Campaign Id
        updated_at:
          type: string
          format: date-time
          title: Updated At
        contact:
          $ref: '#/components/schemas/Correspondent'
        bot:
          $ref: '#/components/schemas/Correspondent'
        status:
          type: string
          enum:
            - OUTREACH_PENDING
            - OUTREACH_QUEUED
            - OUTREACH_ACTIVE
            - NO_RESPONSE
            - INVALID_ADDRESS
            - FAILED_DELIVERY
            - UNSUB_LINK
            - UNSUB_REQUEST
            - DECLINED
            - FOLLOWUP_LATER
            - FOLLOWUP_SENT
            - PROVIDED_REFERRAL
            - OUTREACH_REFERRAL
            - SCHEDULING_MEETING
            - INFO_INQUIRY
            - AWAITING_REPLY
            - NURTURING
            - MEETING_BOOKED
            - OTHER_CONVERSION
          title: Status
      type: object
      required:
        - id
        - campaign_id
        - updated_at
        - contact
        - bot
        - status
      title: BaseExchange
      examples:
        - bot:
            email: ken@example.org
            first_name: Ken
            id: 1
            last_name: Thompson
            organisation: Google
          campaign_id: 1
          contact:
            email: guido@example.com
            first_name: Guido
            id: 1
            last_name: van Rossum
            organisation: Microsoft
          id: 1
          status: INFO_INQUIRY
          updated_at: '2025-03-14T11:00:00'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Correspondent:
      properties:
        email:
          type: string
          format: email
          title: Email
        first_name:
          anyOf:
            - type: string
              maxLength: 63
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
              maxLength: 63
            - type: 'null'
          title: Last Name
        id:
          type: integer
          title: Id
        organisation:
          anyOf:
            - type: string
            - type: 'null'
          title: Organisation
      type: object
      required:
        - email
        - id
        - organisation
      title: Correspondent
      examples:
        - email: guido@example.com
          first_name: Guido
          id: 1
          last_name: van Rossum
          organisation: Microsoft
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    API Key:
      type: apiKey
      description: Key used to authenticate user API requests.
      in: header
      name: X-API-Key

````